using Microsoft.Xna.Framework;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Integration.MonoGame;

public interface ITriangleBatch
{
    void Begin(Matrix? view = null, Matrix? projection = null);
    void Draw(Triangle triangle, ColorRGBA colorRGBA);
    void End();
}
